dots.v2.registries.byRegistry_name().garbageCollection.get()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.registries.byRegistry_name(registry_name).garbageCollection.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | GarbageCollectionGetResponse>

Description

To get information about the currently-active garbage collection for a registry, send a GET request to /v2/registry/{registry_name}/garbage-collection.

Parameters

registry_name string required

Example: example

The name of a container registry.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.registries
    .byRegistry_name("example").garbageCollection.get();

Response Example

Show Response Example
{
  "garbage_collection": {
    "uuid": "eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
    "registry_name": "example",
    "status": "requested",
    "created_at": "2020-10-30T21:03:24Z",
    "updated_at": "2020-10-30T21:03:44Z",
    "blobs_deleted": 42,
    "freed_bytes": 667
  }
}

More Information

See /v2/registries/{registry_name}/garbage-collection in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.